<template>
  <div class="deleteSystem">
    <b-button-group>
      <DeleteSystem v-if="me && me.groups.includes('MOD')" :system="system" />
      <UpdateSystem v-if="me && me.groups.includes('MOD')" :system="system" />
      <CreateBuild v-if="me && me.groups.includes('MOD')" :system="system" />
      <CreateTest v-if="me && me.groups.includes('MOD')" :system="system" />
      <CreateProperty v-if="me && me.groups.includes('MOD')" :system="system" />
      <CreateRun :system="system" />
    </b-button-group>
  </div>
</template>

<script>
import DeleteSystem from "@/components/CRUDE/DeleteSystem.vue";
import UpdateSystem from "@/components/CRUDE/UpdateSystem.vue";
import CreateBuild from "@/components/CRUDE/CreateBuild.vue";
import CreateTest from "@/components/CRUDE/CreateTest.vue";
import CreateProperty from "@/components/CRUDE/CreateProperty.vue";
import CreateRun from "@/components/CRUDE/CreateRun.vue";
import gql from "graphql-tag";

export default {
  name: "SystemControls",
  data() {
    return {
      me: {
        groups: []
      }
    };
  },
  components: {
    DeleteSystem,
    UpdateSystem,
    CreateBuild,
    CreateTest,
    CreateProperty,
    CreateRun
  },
  apollo: {
    me: {
      query: gql`
        query {
          me {
            id
            name
            groups
            email
            joined
          }
        }
      `
    }
  },
  props: {
    system: Object
  }
};
</script>
